﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamComboEditorIsEditable
{
    public class ViewModel : INotifyPropertyChanged
    {
        public IList<Result> Results { get; set; }
        public ViewModel()
        {
            Results = new List<Result>()
            {
                new Result(){Value = "TestB", Count = 1},
                new Result(){Value = "TestC", Count = 1337},
                new Result(){Value = "TestA", Count = 1234},
                new Result(){Value = "TestD", Count = 42},
                new Result(){Value = "TestE", Count = 89786253},
                new Result(){Value = "TestF", Count = Int32.MaxValue},
            };
        }

        #region INotifyPropertyChanged
        public event PropertyChangedEventHandler PropertyChanged;
        public void OnPropertyChanged(string name)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(name));
        }
        #endregion INotifyPropertyChanged
    }

    public class Result
    {
        public string Value { get; set; }
        private int _count;
        public int Count
        {
            get { return _count; }
            set
            {
                _count = value;
                CountT = _count.ToString();
            }
        }
        public string CountT { get; set; }
    }
}
